Bug 2008619 - ImageStream with RHCOS version tag needed for RHODS GPU support
Summary: ImageStream with RHCOS version tag needed for RHODS GPU support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Driver Toolkit
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: dagray
QA Contact: Walid A.
URL:
Whiteboard:
Depends On: 2008290
Blocks: 2011024 2011460
TreeView+ depends on / blocked
 
Reported: 2021-09-28 17:36 UTC by dagray
Modified: 2021-10-18 17:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2008290
: 2011024 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 64 0 None open [release-4.9] Bug 2008619: Add imagestream for driver-toolkit 2021-09-30 20:12:07 UTC
Github openshift kubernetes pull 983 0 None open [release-4.9] Bug 2008619: UPSTREAM: <carry>: openshift-hack/images/os/Dockerfile: Add io.openshift.build.versions, etc. 2021-09-28 17:39:06 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:20 UTC

Description dagray 2021-09-28 17:36:48 UTC
+++ This bug was initially created as a clone of Bug #2008290 +++

The driver-toolkit ImageStream with the RHCOS version as a tag needs to be backported to 4.9 and 4.8. This is required in order for the GPU operator to build the GPU drivers without entitlements, as required by the RHODS team.

See driver-toolkit PR for 4.10 which added the ImageStream:
https://github.com/openshift/driver-toolkit/pull/62/files

Note: This driver-toolkit change was temporarily reverted as it caused some CI jobs to fail when creating a release, because some ci-tools-built machine-os-content images lacked the io.openshift.build.versions field required by consumers of this label, like the driver-toolkit. 

After https://github.com/openshift/kubernetes/pull/963 was merged, the driver-toolkit PR #62 re-added the ImageStream tags. Therefore, we also need to cherry-pick https://github.com/openshift/kubernetes/pull/963 to 4.9 and 4.8 before the imagestream can be cherry-picked.

Comment 4 Walid A. 2021-10-08 00:54:45 UTC
Verified on OCP 4.9.0-0.nightly-2021-10-07-110446
# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-10-07-110446   True        False         7h19m   Cluster version is 4.9.0-0.nightly-2021-10-07-110446

ImageStream tag "tag: 49.84.202110062134-0" matches OSTREE_VERSION 49.84.202110062134-0


# oc get imagestream/driver-toolkit -n openshift -o yaml
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    include.release.openshift.io/ibm-cloud-managed: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
    openshift.io/image.dockerRepositoryCheck: "2021-10-07T17:23:03Z"
  creationTimestamp: "2021-10-07T17:22:24Z"
  generation: 2
  name: driver-toolkit
  namespace: openshift
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    kind: ClusterVersion
    name: version
    uid: 5ec3be17-5e8c-4a11-9efb-89e20f91b334
  resourceVersion: "25308"
  uid: 4eaab76e-3256-49ce-988f-5fff2e8f8dad
spec:
  lookupPolicy:
    local: false
  tags:
  - annotations: null
    from:
      kind: DockerImage
      name: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
    generation: 2
    importPolicy:
      scheduled: true
    name: 49.84.202110062134-0
    referencePolicy:
      type: Source
  - annotations: null
    from:
      kind: DockerImage
      name: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
    generation: 2
    importPolicy:
      scheduled: true
    name: latest
    referencePolicy:
      type: Source
status:
  dockerImageRepository: image-registry.openshift-image-registry.svc:5000/openshift/driver-toolkit
  tags:
  - items:
    - created: "2021-10-07T17:23:03Z"
      dockerImageReference: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
      generation: 2
      image: sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
    tag: 49.84.202110062134-0
  - items:
    - created: "2021-10-07T17:23:03Z"
      dockerImageReference: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
      generation: 2
      image: sha256:3dca2249f2dbc55e4f2c09f41c0b1a5c3acb4863626d9e1aa6f746f73ea1d96f
    tag: latest

# oc describe node | grep feature | grep OSTREE
                    feature.node.kubernetes.io/system-os_release.OSTREE_VERSION=49.84.202110062134-0
                    feature.node.kubernetes.io/system-os_release.OSTREE_VERSION=49.84.202110062134-0
                    feature.node.kubernetes.io/system-os_release.OSTREE_VERSION=49.84.202110062134-0

Comment 7 errata-xmlrpc 2021-10-18 17:51:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.